Subject: Re: [PATCHv2 0/2] vhost: a kernel-level virtio server

From: Arnd Bergmann <[email-masked]>
Date: Wed, 12 Aug 2009 15:40:44 +0200

On Wednesday 12 August 2009, Michael S. Tsirkin wrote:
> > If I understand it correctly, you can at least connect a veth pair
> > to a bridge, right? Something like
> > 
> >            veth0 - veth1 - vhost - guest 1 
> > eth0 - br0-|
> >            veth2 - veth3 - vhost - guest 2
> >            
> Heh, you don't need a bridge in this picture:
> 
> guest 1 - vhost - veth0 - veth1 - vhost guest 2

Sure, but the setup I described is the one that I would expect
to see in practice because it gives you external connectivity.

Measuring two guests communicating over a veth pair is
interesting for finding the bottlenecks, but of little
practical relevance.

	Arnd <><

--
To unsubscribe, send a message with 'unsubscribe linux-mm' in
the body to [email-masked].  For more info on Linux MM,
see: http://www.linux-mm.org/ .
Don't email: <a href=mailto:"[email-masked]"> [email-masked] </a>